#!/bin/sh
#AUDIO_PATH='plugins/KombatTunes/audio'
function compute_length(){
	FILE="$1"
	FANCY_LEN="$(ogginfo "$FILE" | grep Playback | grep -o '[0-9].*' | tr -d 'ms.')"
	MINUTES="$(echo "$FANCY_LEN" | cut -f 1 -d ':' | sed 's/^0*\([0-9]\)/\1/')"
	MILLISECONDS="$(echo "$FANCY_LEN" | cut -f 2 -d ':' | sed 's/^0*\([0-9]\)/\1/')"
	let 'MILLISECONDS += (MINUTES*60000)'
	#echo "	{ \"$AUDIO_PATH/$(basename "$FILE")\", $MILLISECONDS },"
	echo "	{ \"$(basename "$FILE")\", $MILLISECONDS },"
}

while [ "$1" ]; do compute_length "$1"; shift; done

